pig-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joep Rottinghuis (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (PIG-2277) Make Pig compile against Hadoop 0.22
Date Wed, 03 Oct 2012 01:58:07 GMT

    [ https://issues.apache.org/jira/browse/PIG-2277?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13468256#comment-13468256
] 

Joep Rottinghuis commented on PIG-2277:
---------------------------------------

Given that Pig 0.9 compiles against 0.23, this bug can be closed with will not fix as far
as I am concerned.
                
> Make Pig compile against Hadoop 0.22
> ------------------------------------
>
>                 Key: PIG-2277
>                 URL: https://issues.apache.org/jira/browse/PIG-2277
>             Project: Pig
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 0.8.1
>            Reporter: Joep Rottinghuis
>         Attachments: PIG-2277-branch-0.8.patch, PIG-2277-branch-0.8.patch
>
>
> Currently Pig depends on hadoop 0.20.
> While it is relatively easy to pass a property to the build (through -D or through build.properties)
to set hadoop-core.version to something else, the problem is that since hadoop 0.22 the project
has been split.
> No longer is there one single hadoop-core jar to build against.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message